Bug 1076455 - OpenCL
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Bara Ancincova
Depends On:
  Show dependency treegraph
Reported: 2014-03-14 07:35 EDT by Jaroslav Reznik
Modified: 2014-12-08 14:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
<title>OpenCL</title> <para>This Fedora release includes basic support for the OpenCL standard, which provides sufficient environment for the development of the OpenCL enabled software. In according to do so, the Mesa's OpenCL state-tracker, the Portable Computing Language (pocl), and several other OpenCL packages have been added to the official Fedora repositories. The pocl language can be used on CPUs and Mesa can be used on R600 AMD/ATI GPUs.</para>
Story Points: ---
Clone Of:
Last Closed: 2014-12-08 10:22:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bancinco: fedora_requires_release_note+

Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-03-14 07:35:23 EDT
This is a tracking bug for Change: OpenCL
For more details, see: http://fedoraproject.org//wiki/Changes/OpenCL

This change will bring basic OpenCL support to Fedora to support the development of OpenCL enabled software and the development of OpenCL implementations itself. The change includes enabling Mesa's OpenCL state-tracker (in 10.0 with ICD support), packaging pocl - an CPU only OpenCL implementation - and the introduction of several other OpenCL related packages.
Comment 1 Jaroslav Reznik 2014-07-04 06:43:41 EDT
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 2 Jaroslav Reznik 2014-10-07 08:23:50 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 3 Jaroslav Reznik 2014-10-21 07:54:50 EDT
Hi Fabian,
what's the current status of OpenCL change?
Comment 4 Fabian Deutsch 2014-10-22 04:32:23 EDT
(In reply to Jaroslav Reznik from comment #3)
> Hi Fabian,
> what's the current status of OpenCL change?

Hey Jaroslav, everything is in we wanted to get into. Some packages just need an update.

Note You need to log in before you can comment on or make changes to this bug.